from django.db import models

class Artist(models.Model):
    artist_name = models.CharField(max_length=50)
    monthly_listeners = models.IntegerField()
    birth_name = models.CharField(max_length=50, null=True)
    bio = models.TextField(max_length=700, null=True)

    def __str__(self):
        return self.artist_name
   
class Album(models.Model):
    album_name = models.CharField(max_length=50)
    artist = models.ForeignKey(Artist, on_delete=models.CASCADE)
    description = models.TextField(max_length=10000, null=True)
    release_date = models.CharField(max_length=50)
    label = models.CharField(max_length=50, null=True)
    song_count = models.IntegerField(null=True)

    def __str__(self):
        return self.album_name
  
class Song(models.Model):
    song_title = models.CharField(max_length=50)
    artist = models.ForeignKey(Artist, on_delete=models.CASCADE)
    album = models.ForeignKey(Album, on_delete=models.CASCADE)
    song_length = models.IntegerField()
    music_video = models.BooleanField(null=True)
    lyrics = models.TextField(max_length=5000, null=True) 

    def __str__(self):
        return self.song_title